<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>TP4 - Cryptohraphie: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TP4 - Cryptohraphie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>askDispFile()
: <a class="el" href="encrypt_8h.html#aa42fe61f3d5841eaa68137259e9927ee">encrypt.h</a>
</li>
<li>askoutputFileSuffix()
: <a class="el" href="encrypt_8h.html#a7a6f0ca629fb70c1b0079b318857bce3">encrypt.h</a>
</li>
<li>askEncryptedPath()
: <a class="el" href="encrypt_8h.html#a89fa5551b318fa8698c39fd2abfef2b4">encrypt.h</a>
</li>
<li>askFilePath()
: <a class="el" href="encrypt_8h.html#a0e1122e9594026eb5d4289040cb1a8d7">encrypt.h</a>
, <a class="el" href="hmi_8c.html#a0e1122e9594026eb5d4289040cb1a8d7">hmi.c</a>
</li>
<li>askKey()
: <a class="el" href="encrypt_8h.html#acf4dd671fa82cbd13d8244bd1f77fc58">encrypt.h</a>
, <a class="el" href="hmi_8c.html#acf4dd671fa82cbd13d8244bd1f77fc58">hmi.c</a>
</li>
<li>askMethod()
: <a class="el" href="encrypt_8h.html#a9b76482779531bcf71e4d43fd002ef5d">encrypt.h</a>
, <a class="el" href="hmi_8c.html#a9b76482779531bcf71e4d43fd002ef5d">hmi.c</a>
</li>
<li>askSpec()
: <a class="el" href="encrypt_8h.html#a975aa0a4c4430694bc944e31327c52f0">encrypt.h</a>
</li>
<li>askString()
: <a class="el" href="hmi_8c.html#a1d12f0e225e3b36d91ae9230a52c1e82">hmi.c</a>
, <a class="el" href="encrypt_8h.html#a1d12f0e225e3b36d91ae9230a52c1e82">encrypt.h</a>
</li>
<li>askType()
: <a class="el" href="hmi_8c.html#ac644d6c625272f69e23b9d093e86953d">hmi.c</a>
, <a class="el" href="encrypt_8h.html#ac644d6c625272f69e23b9d093e86953d">encrypt.h</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>caesar()
: <a class="el" href="encrypt_8c.html#a76cfae303d5d0dccd731720d2a216bbc">encrypt.c</a>
, <a class="el" href="encrypt_8h.html#a76cfae303d5d0dccd731720d2a216bbc">encrypt.h</a>
</li>
<li>checkKeyHasUniqueCaracters()
: <a class="el" href="lut_8h.html#a89b69036529e42e685684300de0baf18">lut.h</a>
, <a class="el" href="lut_8c.html#a89b69036529e42e685684300de0baf18">lut.c</a>
</li>
<li>checkKeySize()
: <a class="el" href="lut_8h.html#aed51c7d3aa94cd8b67f3a1b0aad5031e">lut.h</a>
, <a class="el" href="lut_8c.html#aed51c7d3aa94cd8b67f3a1b0aad5031e">lut.c</a>
</li>
<li>clear()
: <a class="el" href="clear_8h.html#ac8bb3912a3ce86b15842e79d0b421204">clear.h</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>decryptLine()
: <a class="el" href="caesar_8c.html#ab5513129ed39cf49867a07cfd484dc78">caesar.c</a>
, <a class="el" href="caesar_8h.html#ab5513129ed39cf49867a07cfd484dc78">caesar.h</a>
</li>
<li>decryptLineSpec()
: <a class="el" href="caesar_8h.html#a566d3ebca4b82688c0486ab82c05e2b2">caesar.h</a>
, <a class="el" href="caesar_8c.html#a566d3ebca4b82688c0486ab82c05e2b2">caesar.c</a>
</li>
<li>dispLUT()
: <a class="el" href="lut_8h.html#ab237f30488f8d1ec8a6ec11a12b24877">lut.h</a>
, <a class="el" href="lut_8c.html#ab237f30488f8d1ec8a6ec11a12b24877">lut.c</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>encrypt()
: <a class="el" href="encrypt_8c.html#ab4f8ea86b5db4403b2488646abdafc64">encrypt.c</a>
, <a class="el" href="encrypt_8h.html#ab4f8ea86b5db4403b2488646abdafc64">encrypt.h</a>
</li>
<li>encryptLine()
: <a class="el" href="caesar_8h.html#a70e436427fb04708dc012399df850752">caesar.h</a>
, <a class="el" href="caesar_8c.html#a70e436427fb04708dc012399df850752">caesar.c</a>
</li>
<li>encryptLineSpec()
: <a class="el" href="caesar_8h.html#a00960bfad8fdf39c819a12c276558177">caesar.h</a>
, <a class="el" href="caesar_8c.html#a00960bfad8fdf39c819a12c276558177">caesar.c</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>genLUT()
: <a class="el" href="lut_8c.html#a17755e96c9f22566e38a8a689eba040b">lut.c</a>
, <a class="el" href="lut_8h.html#a17755e96c9f22566e38a8a689eba040b">lut.h</a>
</li>
<li>genPass()
: <a class="el" href="lut_8h.html#a74142679c37b481a45d1925775194a49">lut.h</a>
, <a class="el" href="lut_8c.html#a74142679c37b481a45d1925775194a49">lut.c</a>
</li>
<li>getcharFlushed()
: <a class="el" href="clear_8h.html#abfd57d2e48682e13de6a3745b78456d5">clear.h</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>hmi()
: <a class="el" href="hmi_8c.html#ab5e9fcd7520fd95146d8b8bf7e0ed5c9">hmi.c</a>
</li>
</ul>


<h3><a id="index_k"></a>- k -</h3><ul>
<li>keyingEncryptFile()
: <a class="el" href="encryptc_8h.html#a76270b02cdfec463fd366fa581e8a7cd">encryptc.h</a>
</li>
<li>keyingEncryptLine()
: <a class="el" href="encryptc_8h.html#a0df29c84555e77a8ebd705637c85f308">encryptc.h</a>
</li>
<li>keySize()
: <a class="el" href="lut_8c.html#a999a76fa6c842cdb357ca2d51c706279">lut.c</a>
, <a class="el" href="lut_8h.html#a999a76fa6c842cdb357ca2d51c706279">lut.h</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>lut()
: <a class="el" href="encrypt_8h.html#a9baf18e6b0cbbf503b3abe47d61d361b">encrypt.h</a>
</li>
<li>LUT()
: <a class="el" href="caesar_8c.html#a1a3636bb4e7e4481e371f5b6ab40e6f6">caesar.c</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>main()
: <a class="el" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089">main.c</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>readFile()
: <a class="el" href="file_8c.html#af9d244451c3049604817cbafc497983b">file.c</a>
, <a class="el" href="file_8h.html#aec03413f45715232ccc4b277700b6a1e">file.h</a>
</li>
<li>rotation()
: <a class="el" href="encrypt_8h.html#a026374091f90bdd887ab4a08872317f5">encrypt.h</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>UPPER()
: <a class="el" href="caseChanger_8c.html#af51953bda2d940a6353b6778a980cc5f">caseChanger.c</a>
, <a class="el" href="caseChanger_8h.html#af51953bda2d940a6353b6778a980cc5f">caseChanger.h</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
